/*
V této třídě je uvedeno mezikruzi :
polomer vnitřní kružnice je označen jako - polomerNegativní
polomer vnější kružnice je označen jako - polomerPozitivni
Kruznice N - označení pro nově vzniklou kružnici ohraničujicí oblast výskytu cíle
 */
package octantKlient;

/**
 *
 * @author FilipDvorak
 */
public class Kruznice {
    
    private OrientacniBod orientacnibod;
    private Souradnice stredKruzniceN;
    private Double polomerPozitivni;
    private Double polomerNegativni;
    private Double polomerStredni;
    private Double polomerKruzniceN;

    public OrientacniBod getOrientacnibod() {
        return orientacnibod;
    }

    public Double getPolomerNegativni() {
        return polomerNegativni;
    }

    public Double getPolomerPozitivni() {
        return polomerPozitivni;
    }

    public void setOrientacnibod(OrientacniBod orientacnibod) {
        this.orientacnibod = orientacnibod;
    }

    public void setPolomerNegativni(Double polomerNegativni) {
        this.polomerNegativni = polomerNegativni;
    }

    public void setPolomerPozitivni(Double polomerPozitivni) {
        this.polomerPozitivni = polomerPozitivni;
    }

    public Kruznice(OrientacniBod orientacnibod, Double polomerPozitivni, Double polomerNegativni) {
        this.orientacnibod = orientacnibod;
        this.polomerPozitivni = polomerPozitivni;
        this.polomerNegativni = polomerNegativni;
    }
    //kopirovaci kontruktor
     public Kruznice(Kruznice kruznice) {
        this.orientacnibod = kruznice.getOrientacnibod();
        this.polomerPozitivni = kruznice.getPolomerPozitivni();
        this.polomerNegativni = kruznice.getPolomerNegativni();
        this.polomerKruzniceN = kruznice.getPolomerKruzniceN();
        this.stredKruzniceN = kruznice.getStredKruzniceN();
    }

    public Kruznice(OrientacniBod orientacnibod, Double polomerStredni) {
        this.orientacnibod = orientacnibod;
        this.polomerStredni = polomerStredni;
    }

    public Double getPolomerStredni() {
        return polomerStredni;
    }

    public void setPolomerStredni(Double polomerStredni) {
        this.polomerStredni = polomerStredni;
    }

    public Double getPolomerKruzniceN() {
        return polomerKruzniceN;
    }

    public void setPolomerKruzniceN(Double polomerKruzniceN) {
        this.polomerKruzniceN = polomerKruzniceN;
    }

    public Kruznice(Souradnice stredKruzniceN, Double polomerKruzniceN) {
        this.stredKruzniceN = stredKruzniceN;
        this.polomerKruzniceN = polomerKruzniceN;
    }

    public Souradnice getStredKruzniceN() {
        return stredKruzniceN;
    }

    public void setStredKruzniceN(Souradnice stredKruzniceN) {
        this.stredKruzniceN = stredKruzniceN;
    }
    
    
    
    
    
}
